// Code generated by github.com/99designs/gqlgen, DO NOT EDIT.

package model

type CouponBoostInput struct {
	CouponIDs []string `json:"couponIDs"`
	ProductID string   `json:"productID"`
}

type CouponCategory struct {
	ID   string `json:"id"`
	Name string `json:"name"`
}

type DeleteCouponInput struct {
	CouponID string `json:"couponID"`
}

type NewCoupon struct {
	Name        string  `json:"name"`
	Photo       string  `json:"photo"`
	Description string  `json:"description"`
	Point       float64 `json:"point"`
	Condition   string  `json:"condition"`
	CategoryID  string  `json:"categoryID"`
	StoreID     string  `json:"storeID"`
}

type NewStore struct {
	Logo       string  `json:"logo"`
	Name       string  `json:"name"`
	Tagline    string  `json:"tagline"`
	Phone      string  `json:"phone"`
	Latitude   float64 `json:"latitude"`
	Longitude  float64 `json:"longitude"`
	CategoryID string  `json:"categoryID"`
}

type Product struct {
	ID    string  `json:"id"`
	Name  string  `json:"name"`
	Price float64 `json:"price"`
	Day   int     `json:"day"`
}

type Status struct {
	Success bool `json:"success"`
}

type StoreCategory struct {
	ID   string `json:"id"`
	Name string `json:"name"`
}

type TokenMessagingInput struct {
	Token string `json:"token"`
}

type Transaction struct {
	ID          string `json:"id"`
	Description string `json:"description"`
	CreatedAt   string `json:"createdAt"`
}

type UpdateCouponInput struct {
	CouponID    string  `json:"couponID"`
	Name        string  `json:"name"`
	Photo       string  `json:"photo"`
	Description string  `json:"description"`
	Point       float64 `json:"point"`
	Condition   string  `json:"condition"`
	CategoryID  string  `json:"categoryID"`
	StoreID     string  `json:"storeID"`
}

type UpdateStoreInput struct {
	StoreID    string  `json:"storeID"`
	Logo       string  `json:"logo"`
	Name       string  `json:"name"`
	Tagline    string  `json:"tagline"`
	Phone      string  `json:"phone"`
	Latitude   float64 `json:"latitude"`
	Longitude  float64 `json:"longitude"`
	CategoryID string  `json:"categoryID"`
}
